<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('order_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('order_master_id');
            $table->string('product_id');
            $table->string('attribute_id');
            $table->string('quantity');
            $table->string('gift')->nullable();
            $table->string('price');
            $table->string('discount');
            $table->string('total_discount')->nullable();
            $table->string('total');
            $table->timestamps();
            $table->foreign('order_master_id')->references('id')->on('order_masters')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('order_details');
    }
};
